Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class QTMouseMotionAdapter

    java.lang.Object
      |
      +--quicktime.app.actions.QTMouseMotionAdapter

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseMotionListener, QTMouseMotionListener

public abstract class QTMouseMotionAdapter
extends java.lang.Object
implements QTMouseMotionListener

The QTMouseMotionAdapter adapter which receives mouse events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Constructor Summary
`QTMouseMotionAdapter()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEnteredTarget(java.awt.event.MouseEvent e)` Invoked when a mouseMoved event enters a Target within an enclosing space.
`void` | `mouseExitedTarget(java.awt.event.MouseEvent e)` Invoked when a mouseMoved event exits a Target within an enclosing space.
`void` | `mouseMoved(java.awt.event.MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTMouseMotionAdapter

    public QTMouseMotionAdapter()

Method Detail

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### mouseEnteredTarget

    public void mouseEnteredTarget(java.awt.event.MouseEvent e)

  Description copied from interface: `QTMouseMotionListener`
  Invoked when a mouseMoved event enters a Target within an enclosing space. The target of a MouseResponder is set for events of this kind.
  Specified by:
    `mouseEnteredTarget` in interface `QTMouseMotionListener`
  Following copied from interface: `quicktime.app.actions.QTMouseMotionListener`
  Parameters:
    `e` - the MouseEvent that triggered this event

### mouseExitedTarget

    public void mouseExitedTarget(java.awt.event.MouseEvent e)

  Description copied from interface: `QTMouseMotionListener`
  Invoked when a mouseMoved event exits a Target within an enclosing space. The target of a MouseResponder is set for events of this kind.
  Specified by:
    `mouseExitedTarget` in interface `QTMouseMotionListener`
  Following copied from interface: `quicktime.app.actions.QTMouseMotionListener`
  Parameters:
    `e` - the MouseEvent that triggered this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD